Package com.microblink.blinkid.fragment.overlay.blinkid.settings.options

# Interface BlinkIdOverlaySettingsOptions<T>

All Known Implementing Classes:
  `BlinkIdOverlaySettings.Builder`

public interface BlinkIdOverlaySettingsOptions<T>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final long`
  `DEFAULT_SHOW_TOOLTIP_TIME_INTERVAL_MS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `isHighResSuccessFrameCaptureEnabled(boolean isHighResEnabled)`
  `T`
  `setBackSideScanningTimeoutMs(long backSideScanningTimeoutMs)`
  `T`
  `setBeepResourceId(int beepResourceId)`
  `T`
  `setCameraSettings(OverlayCameraSettings cameraSettings)`
  `T`
  `setCurrentImageListener(CurrentImageListener currentImageListener)`
  `T`
  `setDebugImageListener(DebugImageListener debugImageListener)`
  `T`
  `setDocumentDataMatchRequired(boolean isRequired)`
  `T`
  `setLockedToPortrait(boolean lockedToPortrait)`
  `T`
  `setOcrResultDisplayMode(OcrResultDisplayMode ocrResultDisplayMode)`
  `T`
  `setScanUIEventListener(ScanUIEventListener scanningEventListener)`
  `T`
  `setShowMrzDots(boolean shouldShowMrzDots)`
  `T`
  `setShowNotSupportedDialog(boolean shouldShowNotSupportedDialog)`
  `T`
  `setShowTooltipTimeIntervalMs(long showTooltipTimeIntervalMs)`
  Sets time interval between the start of the tilt step and displaying the help tooltip.
  `T`
  `setSplashResourceId(int splashResourceId)`

- ## Field Details

  - ### DEFAULT_SHOW_TOOLTIP_TIME_INTERVAL_MS

    static final long DEFAULT_SHOW_TOOLTIP_TIME_INTERVAL_MS
    See Also:
      - Constant Field Values

- ## Method Details

  - ### setCameraSettings

    @NonNull T setCameraSettings(@NonNull OverlayCameraSettings cameraSettings)

  - ### setDebugImageListener

    @NonNull T setDebugImageListener(@Nullable DebugImageListener debugImageListener)

  - ### setScanUIEventListener

    @NonNull T setScanUIEventListener(@Nullable ScanUIEventListener scanningEventListener)

  - ### setCurrentImageListener

    @NonNull T setCurrentImageListener(@Nullable CurrentImageListener currentImageListener)

  - ### isHighResSuccessFrameCaptureEnabled

    @NonNull T isHighResSuccessFrameCaptureEnabled(boolean isHighResEnabled)

  - ### setBeepResourceId

    @NonNull T setBeepResourceId(int beepResourceId)

  - ### setSplashResourceId

    @NonNull T setSplashResourceId(@LayoutRes int splashResourceId)

  - ### setDocumentDataMatchRequired

    @NonNull T setDocumentDataMatchRequired(boolean isRequired)

  - ### setOcrResultDisplayMode

    @NonNull T setOcrResultDisplayMode(@NonNull OcrResultDisplayMode ocrResultDisplayMode)

  - ### setShowMrzDots

    @NonNull T setShowMrzDots(boolean shouldShowMrzDots)

  - ### setLockedToPortrait

    @NonNull T setLockedToPortrait(boolean lockedToPortrait)

  - ### setShowNotSupportedDialog

    @NonNull T setShowNotSupportedDialog(boolean shouldShowNotSupportedDialog)

  - ### setBackSideScanningTimeoutMs

    @NonNull T setBackSideScanningTimeoutMs(long backSideScanningTimeoutMs)

  - ### setShowTooltipTimeIntervalMs

    @NonNull T setShowTooltipTimeIntervalMs(long showTooltipTimeIntervalMs)
    Sets time interval between the start of the tilt step and displaying the help tooltip. Help tooltip is displayed only once. By default, this is set to `DEFAULT_SHOW_TOOLTIP_TIME_INTERVAL_MS`.
    Parameters:
      `showTooltipTimeIntervalMs` - time interval between the start of the tilt step and displaying the help tooltip.
    Returns:
      this options object.